import * as i0 from "@angular/core";
export declare type MatAppBannerType = 'info' | 'success' | 'warning' | 'error';
/** App Banner */
export declare class MatAppBanner {
    /** Aria label for the app banner */
    ariaLabel: string;
    /** Notification type */
    type: MatAppBannerType;
    /** Returns the class used for the banner type */
    getClasses(): string;
    getIcon(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatAppBanner, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MatAppBanner, "mat-app-banner", never, { "ariaLabel": "aria-label"; "type": "type"; }, {}, never, ["*"]>;
}
