/*!
 * Copyright Veritas Technologies LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at
 * https://stash.veritas.com/projects/VDL/repos/vdl-angular-nx/browse/LICENSE
 */
import { ChangeDetectorRef, EventEmitter, OnDestroy } from '@angular/core';
import { MatHeaderIntl } from './header-intl';
import * as i0 from "@angular/core";
/** Page Bar Back Button */
export declare class MatBackButton implements OnDestroy {
    _intl: MatHeaderIntl;
    private _changeDetectorRef;
    private _intlChanges;
    /** Back Button clicked event */
    readonly backButtonEvent: EventEmitter<Event>;
    constructor(_intl: MatHeaderIntl, _changeDetectorRef: ChangeDetectorRef);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatBackButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MatBackButton, "mat-back-button", never, {}, { "backButtonEvent": "backButtonEvent"; }, never, never>;
}
