import * as i0 from "@angular/core";
/** Tree Row directive that applies proper styling to the row containing a tree column definition */
export declare class MatTreeRow {
    /** Enabled when row is in process of animating */
    _animating: boolean;
    /**
     * Whether the row is visible or hidden
     */
    get hidden(): boolean;
    set hidden(value: boolean);
    _hidden: boolean;
    /** Whether animation for row hide/show is enabled */
    matEnableTreeAnimation: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatTreeRow, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MatTreeRow, "mat-row[mat-tree-row], tr[mat-tree-row]", ["matTreeRow"], { "hidden": "hidden"; "matEnableTreeAnimation": "matEnableTreeAnimation"; }, {}, never>;
}
//# sourceMappingURL=row-tree.d.ts.map