/*!
 * Copyright Veritas Technologies LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at
 * https://stash.veritas.com/projects/VDL/repos/vdl-angular-nx/browse/LICENSE
 */
import { CdkScrollable } from '@angular/cdk/scrolling';
import * as i0 from "@angular/core";
/**
 * Wrapper for a table where scrolling, particularly horizontal scrolling, is desired.
 * It wraps the table with a `cdk-scrollable` component and adds some styles to get
 * the desired scrolling behavior.
 */
export declare class MatScrollableTableWrapper {
    cdkScrollable: CdkScrollable;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatScrollableTableWrapper, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MatScrollableTableWrapper, "mat-scrollable-table-wrapper", never, {}, {}, never, ["mat-table, table"]>;
}
//# sourceMappingURL=scrollable-table-wrapper.d.ts.map