import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
/** Datepicker data that requires internationalization. */
export declare class MatProfilePanelIntl {
    /**
     * Stream that emits whenever the labels here are changed. Use this to notify
     * components if the labels have changed after initialization.
     */
    readonly changes: Subject<void>;
    /** A label for the header in Notifications Expansion panel */
    notificationsLabel: string;
    /** A label for the header in Help Expansion panel */
    helpLabel: string;
    /** A label for the header in Settings Expansion panel */
    settingsLabel: string;
    /** A label for the copy button in Profile Panel Footer Customer ID Dialog */
    copyButtonLabel: string;
    /** Label for the View Customer ID button */
    viewCustomerIDButtonLabel: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatProfilePanelIntl, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MatProfilePanelIntl>;
}
