/*!
 * Copyright Veritas Technologies LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at
 * https://stash.veritas.com/projects/VDL/repos/vdl-angular-nx/browse/LICENSE
 */
import { ChangeDetectorRef, OnDestroy } from '@angular/core';
import { MatLoginIntl } from './login-intl';
import * as i0 from "@angular/core";
export declare class MatLoginFormDivider implements OnDestroy {
    _intl: MatLoginIntl;
    private _changeDetectorRef;
    private _intlChanges;
    constructor(_intl: MatLoginIntl, _changeDetectorRef: ChangeDetectorRef);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatLoginFormDivider, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MatLoginFormDivider, "mat-login-form-divider", never, {}, {}, never, never>;
}
