/*!
 * Copyright Veritas Technologies LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at
 * https://stash.veritas.com/projects/VDL/repos/vdl-angular-nx/browse/LICENSE
 */
import { ChangeDetectorRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class MatToolbarRowExpansion {
    private changeDetector;
    /**
     * Sets row expansion to be hidden or visible. Default is false
     */
    opened: boolean;
    constructor(changeDetector: ChangeDetectorRef);
    /**
     * Set the open property for the row expansion to open
     * @param show Set to true if row expansion should be shown
     */
    setOpen(show: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatToolbarRowExpansion, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MatToolbarRowExpansion, "mat-toolbar-row-expansion", never, {}, {}, never, ["*"]>;
}
